Function
prefix
Creates prefix object.
prefix(host, end)
Include Headers
seqan/sequence.h
Parameters

host | The complete sequence. Types: char array, String, StringSet
end | Position or iterator behind the last element of the segment. Types: Iterator, Position

Remarks
Note that a prefix of a Segment object is an SuffixSegment object having the same host type.
Notational sugar.
Return Values
The prefix of host that begins atbegin.
Remarks: The type of the prefix is given by Prefix.
See Also
PrefixSegment, infix, suffix
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48